Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class Jsf2FlowFacesContext.Jsf2FlowExternalContext

    java.lang.Object
      javax.faces.context.ExternalContext
          org.springframework.faces.webflow.FlowFacesContext.FlowExternalContext
              org.springframework.faces.webflow.Jsf2FlowFacesContext.Jsf2FlowExternalContext

Enclosing class:
  Jsf2FlowFacesContext

    protected class Jsf2FlowFacesContext.Jsf2FlowExternalContext

extends FlowFacesContext.FlowExternalContext

Field Summary
`protected javax.faces.context.ExternalContext` | `delegate`

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`Jsf2FlowFacesContext.Jsf2FlowExternalContext(javax.faces.context.ExternalContext delegate)`

Method Summary
`void` | `addResponseCookie(java.lang.String name, java.lang.String value, java.util.Map properties)`
`void` | `addResponseHeader(java.lang.String name, java.lang.String value)`
`void` | `dispatch(java.lang.String path)`
`java.lang.String` | `encodeActionURL(java.lang.String url)`
`java.lang.String` | `encodeBookmarkableURL(java.lang.String baseUrl, java.util.Map parameters)`
`java.lang.String` | `encodeNamespace(java.lang.String name)`
`java.lang.String` | `encodePartialActionURL(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String baseUrl, java.util.Map parameters)`
`java.lang.String` | `encodeResourceURL(java.lang.String url)`
`java.lang.String` | `getApplicationContextPath()`
`java.util.Map` | `getApplicationMap()`
`java.lang.String` | `getAuthType()`
`javax.faces.lifecycle.ClientWindow` | `getClientWindow()`
`java.lang.Object` | `getContext()`
`java.lang.String` | `getContextName()`
`javax.faces.context.Flash` | `getFlash()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Map` | `getInitParameterMap()`
`java.lang.String` | `getMimeType(java.lang.String file)`
`java.lang.String` | `getRealPath(java.lang.String path)`
`java.lang.String` | `getRemoteUser()`
`java.lang.Object` | `getRequest()`
`java.lang.String` | `getRequestCharacterEncoding()`
`int` | `getRequestContentLength()`
`java.lang.String` | `getRequestContentType()`
`java.lang.String` | `getRequestContextPath()`
`java.util.Map` | `getRequestCookieMap()`
`java.util.Map` | `getRequestHeaderMap()`
`java.util.Map` | `getRequestHeaderValuesMap()`
`java.util.Locale` | `getRequestLocale()`
`java.util.Iterator` | `getRequestLocales()`
`java.util.Map` | `getRequestMap()`
`java.util.Map` | `getRequestParameterMap()`
`java.util.Iterator` | `getRequestParameterNames()`
`java.util.Map` | `getRequestParameterValuesMap()`
`java.lang.String` | `getRequestPathInfo()`
`java.lang.String` | `getRequestScheme()`
`java.lang.String` | `getRequestServerName()`
`int` | `getRequestServerPort()`
`java.lang.String` | `getRequestServletPath()`
`java.net.URL` | `getResource(java.lang.String path)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String path)`
`java.util.Set` | `getResourcePaths(java.lang.String path)`
`int` | `getResponseBufferSize()`
`java.lang.String` | `getResponseCharacterEncoding()`
`java.lang.String` | `getResponseContentType()`
`java.io.OutputStream` | `getResponseOutputStream()`
`java.io.Writer` | `getResponseOutputWriter()`
`java.lang.Object` | `getSession(boolean create)`
`java.lang.String` | `getSessionId(boolean create)`
`java.util.Map` | `getSessionMap()`
`int` | `getSessionMaxInactiveInterval()`
`java.security.Principal` | `getUserPrincipal()`
`void` | `invalidateSession()`
`boolean` | `isResponseCommitted()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String role)`
`void` | `log(java.lang.String message)`
`void` | `log(java.lang.String message, java.lang.Throwable exception)`
`void` | `redirect(java.lang.String url)`
`void` | `responseFlushBuffer()`
`void` | `responseReset()`
`void` | `responseSendError(int statusCode, java.lang.String message)`
`void` | `setClientWindow(javax.faces.lifecycle.ClientWindow window)`
`void` | `setRequest(java.lang.Object request)`
`void` | `setRequestCharacterEncoding(java.lang.String encoding)`
`void` | `setResponseBufferSize(int size)`
`void` | `setResponseCharacterEncoding(java.lang.String encoding)`
`void` | `setResponseContentLength(int length)`
`void` | `setResponseContentType(java.lang.String contentType)`
`void` | `setResponseHeader(java.lang.String name, java.lang.String value)`
`void` | `setResponseStatus(int statusCode)`
`void` | `setSessionMaxInactiveInterval(int interval)`

Methods inherited from class org.springframework.faces.webflow.FlowFacesContext.FlowExternalContext
`getResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected javax.faces.context.ExternalContext delegate

Constructor Detail

### Jsf2FlowFacesContext.Jsf2FlowExternalContext

    public Jsf2FlowFacesContext.Jsf2FlowExternalContext(javax.faces.context.ExternalContext delegate)

Method Detail

### responseSendError

    public void responseSendError(int statusCode,
                                  java.lang.String message)
                           throws java.io.IOException

  Overrides:
    `responseSendError` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### getContextName

    public java.lang.String getContextName()

  Overrides:
    `getContextName` in class `javax.faces.context.ExternalContext`

### addResponseCookie

    public void addResponseCookie(java.lang.String name,
                                  java.lang.String value,
                                  java.util.Map properties)

  Overrides:
    `addResponseCookie` in class `javax.faces.context.ExternalContext`

### getFlash

    public javax.faces.context.Flash getFlash()

  Overrides:
    `getFlash` in class `javax.faces.context.ExternalContext`

### getMimeType

    public java.lang.String getMimeType(java.lang.String file)

  Overrides:
    `getMimeType` in class `javax.faces.context.ExternalContext`

### getRequestScheme

    public java.lang.String getRequestScheme()

  Overrides:
    `getRequestScheme` in class `javax.faces.context.ExternalContext`

### getRequestServerName

    public java.lang.String getRequestServerName()

  Overrides:
    `getRequestServerName` in class `javax.faces.context.ExternalContext`

### getRequestServerPort

    public int getRequestServerPort()

  Overrides:
    `getRequestServerPort` in class `javax.faces.context.ExternalContext`

### getRealPath

    public java.lang.String getRealPath(java.lang.String path)

  Overrides:
    `getRealPath` in class `javax.faces.context.ExternalContext`

### getRequestContentLength

    public int getRequestContentLength()

  Overrides:
    `getRequestContentLength` in class `javax.faces.context.ExternalContext`

### getResponseOutputStream

    public java.io.OutputStream getResponseOutputStream()
                                                 throws java.io.IOException

  Overrides:
    `getResponseOutputStream` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### getResponseOutputWriter

    public java.io.Writer getResponseOutputWriter()
                                           throws java.io.IOException

  Overrides:
    `getResponseOutputWriter` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### setResponseContentType

    public void setResponseContentType(java.lang.String contentType)

  Overrides:
    `setResponseContentType` in class `javax.faces.context.ExternalContext`

### invalidateSession

    public void invalidateSession()

  Overrides:
    `invalidateSession` in class `javax.faces.context.ExternalContext`

### setResponseHeader

    public void setResponseHeader(java.lang.String name,
                                  java.lang.String value)

  Overrides:
    `setResponseHeader` in class `javax.faces.context.ExternalContext`

### addResponseHeader

    public void addResponseHeader(java.lang.String name,
                                  java.lang.String value)

  Overrides:
    `addResponseHeader` in class `javax.faces.context.ExternalContext`

### setResponseBufferSize

    public void setResponseBufferSize(int size)

  Overrides:
    `setResponseBufferSize` in class `javax.faces.context.ExternalContext`

### getResponseBufferSize

    public int getResponseBufferSize()

  Overrides:
    `getResponseBufferSize` in class `javax.faces.context.ExternalContext`

### isResponseCommitted

    public boolean isResponseCommitted()

  Overrides:
    `isResponseCommitted` in class `javax.faces.context.ExternalContext`

### responseReset

    public void responseReset()

  Overrides:
    `responseReset` in class `javax.faces.context.ExternalContext`

### setResponseStatus

    public void setResponseStatus(int statusCode)

  Overrides:
    `setResponseStatus` in class `javax.faces.context.ExternalContext`

### responseFlushBuffer

    public void responseFlushBuffer()
                             throws java.io.IOException

  Overrides:
    `responseFlushBuffer` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### setResponseContentLength

    public void setResponseContentLength(int length)

  Overrides:
    `setResponseContentLength` in class `javax.faces.context.ExternalContext`

### encodeBookmarkableURL

    public java.lang.String encodeBookmarkableURL(java.lang.String baseUrl,
                                                  java.util.Map parameters)

  Overrides:
    `encodeBookmarkableURL` in class `javax.faces.context.ExternalContext`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String baseUrl,
                                              java.util.Map parameters)

  Overrides:
    `encodeRedirectURL` in class `javax.faces.context.ExternalContext`

### encodePartialActionURL

    public java.lang.String encodePartialActionURL(java.lang.String url)

  Overrides:
    `encodePartialActionURL` in class `javax.faces.context.ExternalContext`

### getSessionMaxInactiveInterval

    public int getSessionMaxInactiveInterval()

  Overrides:
    `getSessionMaxInactiveInterval` in class `javax.faces.context.ExternalContext`

### isSecure

    public boolean isSecure()

  Overrides:
    `isSecure` in class `javax.faces.context.ExternalContext`

### setSessionMaxInactiveInterval

    public void setSessionMaxInactiveInterval(int interval)

  Overrides:
    `setSessionMaxInactiveInterval` in class `javax.faces.context.ExternalContext`

### getApplicationContextPath

    public java.lang.String getApplicationContextPath()

  Overrides:
    `getApplicationContextPath` in class `javax.faces.context.ExternalContext`

### getSessionId

    public java.lang.String getSessionId(boolean create)

  Overrides:
    `getSessionId` in class `javax.faces.context.ExternalContext`

### getClientWindow

    public javax.faces.lifecycle.ClientWindow getClientWindow()

  Overrides:
    `getClientWindow` in class `javax.faces.context.ExternalContext`

### setClientWindow

    public void setClientWindow(javax.faces.lifecycle.ClientWindow window)

  Overrides:
    `setClientWindow` in class `javax.faces.context.ExternalContext`

### dispatch

    public void dispatch(java.lang.String path)
                  throws java.io.IOException

  Specified by:
    `dispatch` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### encodeActionURL

    public java.lang.String encodeActionURL(java.lang.String url)

  Specified by:
    `encodeActionURL` in class `javax.faces.context.ExternalContext`

### encodeNamespace

    public java.lang.String encodeNamespace(java.lang.String name)

  Specified by:
    `encodeNamespace` in class `javax.faces.context.ExternalContext`

### encodeResourceURL

    public java.lang.String encodeResourceURL(java.lang.String url)

  Specified by:
    `encodeResourceURL` in class `javax.faces.context.ExternalContext`

### getApplicationMap

    public java.util.Map getApplicationMap()

  Specified by:
    `getApplicationMap` in class `javax.faces.context.ExternalContext`

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in class `javax.faces.context.ExternalContext`

### getContext

    public java.lang.Object getContext()

  Specified by:
    `getContext` in class `javax.faces.context.ExternalContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in class `javax.faces.context.ExternalContext`

### getInitParameterMap

    public java.util.Map getInitParameterMap()

  Specified by:
    `getInitParameterMap` in class `javax.faces.context.ExternalContext`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in class `javax.faces.context.ExternalContext`

### getRequest

    public java.lang.Object getRequest()

  Specified by:
    `getRequest` in class `javax.faces.context.ExternalContext`

### getRequestCharacterEncoding

    public java.lang.String getRequestCharacterEncoding()

  Overrides:
    `getRequestCharacterEncoding` in class `javax.faces.context.ExternalContext`

### getRequestContentType

    public java.lang.String getRequestContentType()

  Overrides:
    `getRequestContentType` in class `javax.faces.context.ExternalContext`

### getRequestContextPath

    public java.lang.String getRequestContextPath()

  Specified by:
    `getRequestContextPath` in class `javax.faces.context.ExternalContext`

### getRequestCookieMap

    public java.util.Map getRequestCookieMap()

  Specified by:
    `getRequestCookieMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderMap

    public java.util.Map getRequestHeaderMap()

  Specified by:
    `getRequestHeaderMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderValuesMap

    public java.util.Map getRequestHeaderValuesMap()

  Specified by:
    `getRequestHeaderValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestLocale

    public java.util.Locale getRequestLocale()

  Specified by:
    `getRequestLocale` in class `javax.faces.context.ExternalContext`

### getRequestLocales

    public java.util.Iterator getRequestLocales()

  Specified by:
    `getRequestLocales` in class `javax.faces.context.ExternalContext`

### getRequestMap

    public java.util.Map getRequestMap()

  Specified by:
    `getRequestMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterMap

    public java.util.Map getRequestParameterMap()

  Specified by:
    `getRequestParameterMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterNames

    public java.util.Iterator getRequestParameterNames()

  Specified by:
    `getRequestParameterNames` in class `javax.faces.context.ExternalContext`

### getRequestParameterValuesMap

    public java.util.Map getRequestParameterValuesMap()

  Specified by:
    `getRequestParameterValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestPathInfo

    public java.lang.String getRequestPathInfo()

  Specified by:
    `getRequestPathInfo` in class `javax.faces.context.ExternalContext`

### getRequestServletPath

    public java.lang.String getRequestServletPath()

  Specified by:
    `getRequestServletPath` in class `javax.faces.context.ExternalContext`

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.net.MalformedURLException

  Specified by:
    `getResource` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.net.MalformedURLException`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String path)

  Specified by:
    `getResourceAsStream` in class `javax.faces.context.ExternalContext`

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String path)

  Specified by:
    `getResourcePaths` in class `javax.faces.context.ExternalContext`

### getResponseCharacterEncoding

    public java.lang.String getResponseCharacterEncoding()

  Overrides:
    `getResponseCharacterEncoding` in class `javax.faces.context.ExternalContext`

### getResponseContentType

    public java.lang.String getResponseContentType()

  Overrides:
    `getResponseContentType` in class `javax.faces.context.ExternalContext`

### getSession

    public java.lang.Object getSession(boolean create)

  Specified by:
    `getSession` in class `javax.faces.context.ExternalContext`

### getSessionMap

    public java.util.Map getSessionMap()

  Specified by:
    `getSessionMap` in class `javax.faces.context.ExternalContext`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in class `javax.faces.context.ExternalContext`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Specified by:
    `isUserInRole` in class `javax.faces.context.ExternalContext`

### log

    public void log(java.lang.String message,
                    java.lang.Throwable exception)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### log

    public void log(java.lang.String message)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### redirect

    public void redirect(java.lang.String url)
                  throws java.io.IOException

  Specified by:
    `redirect` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### setRequest

    public void setRequest(java.lang.Object request)

  Overrides:
    `setRequest` in class `javax.faces.context.ExternalContext`

### setRequestCharacterEncoding

    public void setRequestCharacterEncoding(java.lang.String encoding)
                                     throws java.io.UnsupportedEncodingException

  Overrides:
    `setRequestCharacterEncoding` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.UnsupportedEncodingException`

### setResponseCharacterEncoding

    public void setResponseCharacterEncoding(java.lang.String encoding)

  Overrides:
    `setResponseCharacterEncoding` in class `javax.faces.context.ExternalContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD